package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.expandassess.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ComRule extends CoreBillBase implements IComRule
{
    public ComRule()
    {
        super();
        registerInterface(IComRule.class, this);
    }
    public ComRule(Context ctx)
    {
        super(ctx);
        registerInterface(IComRule.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6BD455B8");
    }
    private ComRuleController getController() throws BOSException
    {
        return (ComRuleController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ComRuleCollection getComRuleCollection() throws BOSException
    {
        try {
            return getController().getComRuleCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ComRuleCollection getComRuleCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getComRuleCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ComRuleCollection getComRuleCollection(String oql) throws BOSException
    {
        try {
            return getController().getComRuleCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ComRuleInfo getComRuleInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getComRuleInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ComRuleInfo getComRuleInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getComRuleInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ComRuleInfo getComRuleInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getComRuleInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}